> ## Documentation Index
> Fetch the complete documentation index at: https://docs.presenton.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Smart Design creation status

> Return the current state and result or error data for an asynchronous Smart Design creation task.

[Read the Smart Generation guide](/api-guides/smart-generation).



## OpenAPI

````yaml /openapi/cloud.json get /api/v2/ppt/design/status/{id}
openapi: 3.1.0
info:
  title: Presenton Cloud API
  version: v0.9.3-beta
  description: Supported public API for managed Presenton Cloud integrations.
servers:
  - url: https://api.presenton.ai
    description: Presenton Cloud
security: []
tags:
  - name: Presentations
    description: Generate and manage presentations.
  - name: Files and media
    description: Upload source files and images.
  - name: Templates and design
    description: Select reusable presentation designs.
  - name: Async and webhooks
    description: Monitor background work and receive events.
paths:
  /api/v2/ppt/design/status/{id}:
    get:
      tags:
        - V2 Design
      summary: Get Smart Design creation status
      description: >-
        Return the current state and result or error data for an asynchronous
        Smart Design creation task.


        [Read the Smart Generation guide](/api-guides/smart-generation).
      operationId: get_design_extraction_status_api_v2_ppt_design_status__id__get
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            title: Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AsyncDesignExtractionTaskModel'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '500':
          $ref: '#/components/responses/ServerError'
      security:
        - BearerAuth: []
      externalDocs:
        description: Read the Smart Generation guide
        url: /api-guides/smart-generation
components:
  schemas:
    AsyncDesignExtractionTaskModel:
      properties:
        id:
          type: string
          title: Id
          description: Unique task identifier
        status:
          type: string
          title: Status
          description: pending | processing | completed | error
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
        error:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Error
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        data:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Data
      type: object
      required:
        - status
        - created_at
        - updated_at
      title: AsyncDesignExtractionTaskModel
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  responses:
    Unauthorized:
      description: Authentication is missing or invalid.
    ServerError:
      description: Presenton or one of its configured dependencies failed.
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Presenton API token

````